<?php

namespace App\Models\Loaders;

use App\Models\ORM\News;

class NewsLoader
{
    public function getNews(int $offset = 0, int $limit = 10): array
    {
        $data = News::select("*")
            ->limit($limit)
            ->offset($offset)
            ->get();

        return $data ? $data->toArray() : [];
    }
}
